package org.tinygroup.databasebuinstaller.impl;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import org.tinygroup.database.initdata.InitDataProcessor;

/**
 * 
 * 功能说明:数据库初始化安装处理器 
 * <p> 系统版本: v1.0<br>
 * 开发人员: renhui <br>
 * 开发时间: 2013-8-15 <br>
 * 功能描述: 写明作用，调用方式，使用场景，以及特殊情况<br>
 */
public class InitDataInstallProcessor extends AbstractInstallProcessor {
	
	private InitDataProcessor initDataProcessor;
	
	
	public InitDataProcessor getInitDataProcessor() {
		return initDataProcessor;
	}



	public void setInitDataProcessor(InitDataProcessor initDataProcessor) {
		this.initDataProcessor = initDataProcessor;
	}


	@Override
	protected List<String> getDealSqls(Connection con) throws SQLException {
		List<String> sqls=new ArrayList<String>();
		sqls.addAll(initDataProcessor.getDeinitSql(language));
		sqls.addAll(initDataProcessor.getInitSql(language));
		return sqls;
	}


}
